package com.ejie.ab04b.webservice.client.documentowebservice;

import java.util.Arrays;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlType;

/**
 * <p>
 * Java class for elemento complex type.
 * 
 * <p>
 * The following schema fragment specifies the expected content contained within
 * this class.
 * 
 * <pre>
 * &lt;complexType name="elemento">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element name="img" type="{http://www.w3.org/2001/XMLSchema}base64Binary" minOccurs="0"/>
 *         &lt;element name="text" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *       &lt;/sequence>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * @author GFI-NORTE
 * 
 */
@XmlAccessorType(value = XmlAccessType.FIELD)
@XmlType(namespace = "elemento", propOrder = { "img", "text" })
public class Elemento {

	private byte[] img;
	private String text;

	/**
	 * Instantiates a new elemento.
	 */
	public Elemento() {
		super();
	}

	/**
	 * Instantiates a new elemento.
	 * 
	 * @param text
	 *            String
	 * @param img
	 *            byte[]
	 */
	public Elemento(String text, byte[] img) {
		super();
		if (img != null) {
			this.img = Arrays.copyOf(img, img.length);
		}
		this.text = text;
	}

	/**
	 * Gets the value of the img property.
	 * 
	 * @return possible object is byte[]
	 */
	public byte[] getImg() {
		return img;
	}

	/**
	 * Sets the value of the img property.
	 * 
	 * @param value
	 *            allowed object is byte[]
	 */
	public void setImg(byte[] value) {
		this.img = Arrays.copyOf(value, value.length);
	}

	/**
	 * Gets the value of the text property.
	 * 
	 * @return possible object is {@link String }
	 * 
	 */
	public String getText() {
		return text;
	}

	/**
	 * Sets the value of the text property.
	 * 
	 * @param value
	 *            allowed object is {@link String }
	 * 
	 */
	public void setText(String value) {
		this.text = value;
	}

}
